#### Customize Profile

This panel allows you to customize Page Report Studio, Web Report Studio, and JDashboard features according to your requirement. It contains three tabs:

- Common
- Page Report Studio
- JDashboard

##### Common

This tab allows you to define some common settings that will be applied to Page Report Studio, Web Report Studio and JDashboard. See the tab.

Specify Date Time Format

Specifies the default date and time formats in which such values will be displayed on the Page Report Studio, Web Report Studio and JDashboard web pages, for example, the last modified time or print time of a report, the date values displayed in the query filter value list.

- Date Format
  Specifies the default format for the date values.
- Time Format
  Specifies the default format for the time values.
- Timestamp Format
  Specifies the default format for the timestamp values.

Sort on Column Headers

Specifies to sort data in tables by clicking the sort button on table column headers in Web Report Studio and JDashboard.

Filter on Column Headers

Specifies to filter data in tables by clicking the filter button on table column headers in Web Report Studio and JDashboard.

Show Sort/Filter Status on Column Headers

If checked, the sort/filter button will always be displayed on the table column headers with the current sort/filter status. If this option is unchecked, end users need to put the mouse pointer on the table column headers to make the sort/filter button shown.

##### Page Report Studio

This tab allows you to customize Page Report Studio features according to your requirement. It contains two sub tabs:

- Features
- Properties

###### Features

Administrators can define more than one Page Report Studio feature profile on the JReport Administration page, then end users can select one of the profiles to apply for running reports in Page Report Studio. See the tab.

Default Profile

Specifies the profile which will be used as the default profile to run reports in Page Report Studio. End users can only select a profile and view its settings.

New Profile

Opens the Page Report Studio Profile dialog to create profiles for applying in running reports in Page Report Studio. Available to administrators only.

Delete

Deletes the selected profile. Available to administrators only.

Profile list

Lists the Page Report Studio profiles that have been created.

- Name
  Displays the names of the profiles.
- Description
  Displays the descriptions of the profiles.
- Last Modified
  Displays the time when the profiles were last modified.

###### Properties

This tab lists properties for configuring the Page Report Studio settings. The properties are classified in two categories: default properties and advanced properties. Some properties are not available when the Profile dialog is accessed on the JReport Console page. If you want to customize them, log onto the JReport Administration page.

Default properties

Specifies to show or hide certain Page Report Studio window elements. Check the element names to show/hide them. If disabled, the specified window element will not be shown by default. To show it, click the relevant window buttons or menu commands in Page Report Studio. See the tab.

- User Information Bar
  Specifies to show the User Information bar. This bar is on the top of the Page Report Studio window which shows information about the user, catalog, and report.
- Toolbar
  Specifies to show a default toolbar.
- Table of Contents
  Specifies to show the TOC Browser by default.
- Resource View
  Specifies to show the Resource View panel.
- Toolbox
  Specifies to show the Toolbox panel.
- Right-click Menu
  Specifies to show a shortcut menu when you click the right mouse button.
- Pop Up New Window for Links
  Specifies whether to display a new web browser window for the link target, which can be a link report, a detail report, a URL, a chart hyperlink, or the detailed information created from the go-to-detail function. When defining such links in JReport Designer, if you have specified Server Setting as the target frame of the links, this option will decide where the corresponding link targets will be displayed.
- Editing Marks
  Specifies whether to show editing marks (dashed outlines for objects and report body). If the option is unselected, the editing mark will not be shown when a report object receives focus, and report objects cannot be moved or resized.
- Pop Up Save Criteria Dialog
  Specifies whether to pop up the Save Report Template dialog when you exit a report which has been changed since it was first opened in Page Report Studio. A change includes any action taken such as sort, filter and drill as well as actual changes to the template such as adding or removing objects. By default, this option is checked so the dialog always pops up. If you uncheck this option, the dialog does not pop up when changes have been made and all changes are discarded. The next time the report is opened, it is the previous version which was last saved explicitly or the original published version. A second way to skip the pop up Save Report Template dialog is to create a profile which does not have the Save option checked and assign the profile to the user or to the report, then when the user closes the report the dialog does not appear and the changes are discarded.
- Save Filter Criteria
  Specifies to check the Save Filter Criteria option by default when saving a report to a report version or as a new report.
- Save Sort Criteria
  Specifies to check the Save Sort Criteria option by default when saving a report to a report version or as a new report.
- Switch Reports with Tab
  Specifies to switch among report tabs in a report using tabs.

  By default, this option is unchecked, which means that when a report contains several report tabs, you can use the Go To drop-down list on the toolbar to switch among the report tabs. In addition, when this option is unchecked, the path for tracing the master/detail report navigation as well as the drilling and going actions will also be reflected in the Go To drop-down list.

- Show Master Report
  Specifies whether to show the master report in the same window when opening a detail report by default. If checked, end users can go back to the master report by clicking the master report name link. If unchecked, the master report will be closed after the detail report is opened.
- Tool Tips on Toolbars
  Specifies to show the tooltips for toolbar commands.
- Always Prompt Query Filter
  Specifies to prompt the Query Filter dialog when inserting the first field from the Resource View panel into a blank component.
- Always Prompt to Convert Data Fields
  Specifies to prompt the Convert Data Fields dialog when performing data analytic actions on reports, which are created in JReport Designer, in Page Report Studio.
- Mouse Wheel Turn to Page
  Specifies whether to allow using the mouse wheel to scroll up/down reports.
- Always Prompt Whether to Adjust Page Size Automatically
  Specifies whether to prompt with a message box when JReport is going to adjust the page size if the width of a table exceeds the defined page size.
- Zoom
  Specifies the zoom ratio at which Page Report Studio pages will be displayed.
- Max Records
  Specifies the maximum number of records that will be retrieved by components in the report.
- Browser Page Title
  Specifies the title for the Page Report Studio window (displayed on the Page Report Studio window title bar).
- Filter Menu
  Specifies which items will be shown on the Filter submenu.
  - Remove Filter
    Specifies to show the Remove Filter item on the Filter submenu.
  - Top N
    Specifies to show the Top N item on the Filter submenu.
  - Bottom N
    Specifies to show the Bottom N item on the Filter submenu.
  - More
    Specifies to show the More item on the Filter submenu.
- Grid
  Specifies the grid properties.
  - Show Grids
    Specifies to show grids in Page Report Studio report area.
  - Snap to Grids
    Specifies to snap an object to grids when you move it by dragging and dropping in Page Report Studio report area.
  - Grid Size
    Specifies size of the grids. The default value is 0.07 inches.
  - Grid Color
    Specifies color of the grids. The default value is #808080.
- New Ad Hoc Report
  Specifies properties for creating reports in Page Report Studio. This section is available only when a JReport Live license for JReport Server is obtained.
  - Report Layout
    Specifies the default report layout when creating a new report in Page Report Studio.
  - Report Style Group
    Specifies the default selected style for the four types of components when creating them via the report wizard in Page Report Studio: table, crosstab, chart, and banded object. However, when inserting them into a table or banded object which can bind style, the default style type will be Inherit Style instead of the value specified by this option.

    All CSS styles in the `<install_root>\style` directory are available in the drop-down list.

  - Customize Group Indent
    Specifies to customize the indent of groups created via the report wizard. By default, the indent of the groups is 0 inch. You can also input a value between 0 and 4 to customize the indent.

    If this option is not checked, when you create groups in a report in the report wizard, the groups will be indented according to the width of the group by fields.

  - Align Summaries Vertically
    Specifies whether to make summaries aligned vertically, which are created via the report wizard and have the same summary function.
- Views in Page Report Studio
  - Show Link of Basic/Interactive View
    If checked, you will be able to switch between the Basic View mode and the Interactive View mode when running page reports in Page Report Studio. The Basic View mode provides just simple functions for mainly viewing reports, while the Interactive View mode contains editing and analytic functions.
- Views in Web Report Studio
  - Show Link of View/Edit Mode
    If checked, you will be able to switch between the View Mode and Edit Mode when running web reports in Web Report Studio. The View Mode provides just simple functions for mainly viewing reports, while the Edit Mode provides editing and analytic functions.
  - Target of Detail Table Report and Links
    Specifies where to load the linked target in Web Report Studio, which can be a link report, a URL, a chart hyperlink, or the detail table created from the go-to-detail function. Applied when Server Setting is specified as the target frame when defining such links either in JReport Designer or in Web Report Studio.
    - New Window
      Specifies to load the linked target into a new window.
    - Same Frame
      Specifies to load the linked target into the same frame or window where the main report is.

Advanced Properties

Specifies to show or hide some advanced Page Report Studio properties. Click on the property names to switch them on/off. See the tab.

- Advanced User
  Specifies to enable Page Report Studio advanced features, such as editing group and report tab properties from the shortcut menu. In Page Report Studio, some features are only available for advanced users, including the following:
  - Advanced users can use a formula to control the value of a property. If a Boolean type property in a report is set to be controlled by a formula, it will be displayed as a checkbox, with mixed value. This means that this option is currently controlled by a formula.
  - Editing group and report tab properties (can be accessed by using the Group and Report command on the shortcut menu).
  - Modifying the properties of images, special fields, and parameters (can be accessed by using the Properties command on the shortcut menu).
  - Further options are available for advanced users, such as the options on the Export and Other tab.
- Auto Refresh
  Specifies whether to enable the Auto Refresh feature, which automatically refreshes the Page Report Studio window at certain intervals, so as to make the server session never time out when any Page Report Studio window is open. The auto refresh time interval equals user session time out minus 16 seconds.
- Show Group by Name
  Specifies whether to show the groups by name in the TOC panel.
- Report Rendering Mode
  Specifies a way of running and laying out a report in Page Report Studio. There are in all four rendering modes controlled by the combination of the two options: View Incomplete Pages and Format Page on Demand.
  - View Incomplete Pages
    - If selected, fetch data for the required page and then format the page. The contents of the displayed pages may be incomplete for lack of data integrity and will then be refreshed when their data is ready. The first page will be displayed more quickly.
    - If unselected, fetch all data before formatting report pages. The displayed pages are complete.
  - Format Page on Demand
    - If selected, format the required pages. The total number of pages will not be known and will show as a + sign.
    - If unselected, format all report pages. This shows the total number of pages but will take longer to show the first page.
- Background Mode Timeout
  Specifies the time allowed for a page report to run in foreground mode. After the Background Mode Timeout has expired, the page report will automatically be switched to run in background mode. You can view the page report result by clicking the report name in the Background Tasks table of the My Tasks page on the JReport Console page, and after the result is opened in a browser, the report task in the table will be deleted.
- Maximum Number of Open Reports
  Specifies the maximum number of page reports that can be opened at the same time. For details, see Limiting the number of simultaneously open reports.
- Select Catalog Linked Model
  If checked, ad hoc end users can decide the relationship between the saved report and the catalog used to run it when saving a report to a different directory in Page Report Studio: either link the saved report with the catalog, or copy the catalog to the target directory where the report is saved.

  The two items As Linked Catalog and As Catalog Copy just predefine which corresponding option will be automatically checked in the Save As dialog of Page Report Studio.

- Show Splash Screen
  Specifies whether or not to show the splash screen, which is the JReport logo and displays when you run a page report in Page Report Studio.
- Check Page Report Studio Resource Path
  Checks the status of the static resources (for example, images, css files, and so on) used by Page Report Studio. The resources are defined in the file ResourcePath.jsp. You can modify the file to add or remove the resources.

##### JDashboard

This tab allows you to customize JDashboard features according to your requirement. It contains two sub tabs:

- Features
- Properties

###### Features

Administrators can define more than one JDashboard feature profile on the JReport Administration page, then end users can select one of the profiles to apply for running dashboards in JDashboard. See the tab.

Default Profile

Specifies the profile which will be used as the default profile to run JDashboard. End users can only select a profile and view its settings.

New Profile

Opens the JDashboard Profile dialog to create profiles for applying in JDashboard. Available to administrators only.

Delete

Deletes the selected profile. Available to administrators only.

Profile list

Lists the profiles that have been created.

- Name
  Displays the names of the profiles.
- Description
  Displays the descriptions of the profiles.
- Last Modified
  Displays the time when the profiles were last modified.

###### Properties

This tab lists the properties for configuring the JDashboard window elements. The properties are classified for two working modes of JDashboard: Edit Mode and View Mode.

Whether an option is available on the JDashboard window is determined by two factors: whether the corresponding feature is enabled in the current profile and whether the option is enabled here in the Properties tab. Only when both places are enabled can the option be available for use. If a feature is disabled in the profile, the corresponding option will be hidden from the JDashboard window even though it is enabled in the Properties tab.

Edit Mode

Specifies to show or hide certain JDashboard window elements in the edit mode. Select/unselect the element names to show/hide them. If unselected, the specified window element will not be shown by default. See the tab.

- Show Toolbar
  Shows the toolbar which contains the menu options for working with dashboards.
- Toolbar Icons
  Specifies which options will be shown on the toolbar. The following options are enabled when Show Toolbar is selected.
  - Show Resources
    Shows the button which is the entry to the Resources panel that provides library components, report components, and some other objects for adding into dashboards.
  - New
    Creates a new dashboard.
  - Open
    Specifies a dashboard to open.
  - Save
    Saves the changes made to the current dashboard.
  - Refresh
    Refreshes the current dashboard.
  - Enter Parameter Values
    Lists all the parameters used in the dashboard for specifying their values.
  - Export
    Exports the components in the current dashboard.
  - Print
    Prints the components in the current dashboard.
  - Clear Filters
    Removes all the filters from the current dashboard including those generated via sliders, filter controls, messages, drilling and going actions, and those designed using web browsers such as Page Report Studio and Web Report Studio, except query filters and others designed and taking effect in JReport Designer.
  - Arrange
    Automatically arranges the library components in the current dashboard to be tidy once at a time by clicking this option. It is an instant action.
  - Options
    Shows the button for displaying the items selected in the Options Menu section below.
- Options Menu
  Specifies the options available on the menu after clicking on the toolbar of JDashboard. The following options are enabled when Show Toolbar is selected and Options in the Toolbar Icons section is selected.
  - New
    Creates a new dashboard.
  - Open
    Specifies a dashboard to open.
  - Save
    Saves the changes made to the current dashboard.
  - Save As
    Saves the current dashboard with a different name or to a new location.
  - Export
    Exports the components in the current dashboard.
  - Print
    Prints the components in the current dashboard.
  - Clear Filters
    Removes all the filters from the current dashboard including those generated via sliders, filter controls, messages, drilling and going actions and those designed using web browsers such as Page Report Studio and Web Report Studio, except query filters and others designed and taking effect in JReport Designer.
  - Arrange
    Automatically arranges the library components in the current dashboard to be tidy once at a time by clicking this option. It is an instant action.
  - Auto Arrange
    Automatically arranges the library components in the current dashboard to be tidy once the layout requires arrangement. It is a status setting. After selecting it, this option will be kept checked and the Arrange option will be disabled until you unselect Auto Arrange. The status will be saved with the dashboard.
  - Set as Server Home
    Sets the current JDashboard status as the home page after logging onto JReport Server.
  - Component Title Bar
    Customizes the way of showing component title bar and the icons on it.
  - Share Parameter
    Shares parameters between library components.
  - Themes
    Specifies a theme to apply to the current dashboard.
  - Hide JDashboard Header
    Changes the current status of the dashboard header from being shown to hidden or from being hidden to shown.
  - Help
    Displays the JDashboard help documents.
  - Exit
    Exits JDashboard.
- Themes
  - Default Theme
    Specifies the default theme applied to dashboards. This option is enabled when Themes in the Options Menu section is selected.
- Component Options Menu
  Specifies the options available on the menu after clicking on the title bar of a library component. The following options are enabled when Show Toolbar is selected.
  - Analyze
    Opens the Visual Analysis component in a new JDashboard tab or browser window.
  - Edit Setting
    Edits the component setting in the corresponding edit dialog.
  - Export
    Exports the library component.
  - Delete
    Deletes the library component from the current dashboard.
  - Refresh
    Customizes the auto refresh action for the library component.
  - About
    Displays the component information such as its ID, the author and his/her e-mail address, and the description about the component. By default, this option is unchecked.

View Mode

Specifies to show or hide certain JDashboard window elements in the view mode. Select/unselect the element names to show/hide them. See the tab.

- Show Toolbar
  Shows the toolbar which contains the menu options for working with dashboards.
- Toolbar Icons
  Specifies which options will be shown on the toolbar. The following options are enabled when Show Toolbar is selected.
  - Refresh
    Refreshes the current dashboard.
  - Enter Parameter Values
    Lists all the parameters used in the dashboard for specifying their values.
  - Export
    Exports the components in the current dashboard.
  - Print
    Prints the components in the current dashboard.
  - Clear Filters
    Removes all the filters from the current dashboard including those generated via sliders, filter controls, messages, drilling and going actions, and those designed using web browsers such as Page Report Studio and Web Report Studio, except query filters and others designed and taking effect in JReport Designer.
  - Options
    Shows the button for displaying the items selected in the Options Menu section below.
- Options Menu
  Specifies the options available on the menu after clicking on the toolbar of JDashboard. The following options are enabled when Show Toolbar is selected and Options in the Toolbar Icons section is selected.
  - Export
    Exports the components in the current dashboard.
  - Print
    Prints the components in the current dashboard.
  - Clear Filters
    Removes all the filters from the current dashboard including those generated via sliders, filter controls, messages, drilling and going actions and those designed using web browsers such as Page Report Studio and Web Report Studio, except query filters and others designed and taking effect in JReport Designer.
  - Set as Server Home
    Sets the current JDashboard status as the home page after logging onto JReport Server.
  - Component Title Bar
    Customizes the way of showing component title bar and the icons on it.
  - Themes
    Specifies a theme to apply to the current dashboard.
  - Hide JDashboard Header
    Changes the current status of the dashboard header from being shown to hidden or from being hidden to shown.
  - Help
    Displays the JDashboard help documents.
  - Exit
    Exits JDashboard.
- Themes
  - Default Theme
    Specifies the default theme applied to dashboards. This option is enabled when Themes in the Options Menu section is selected.
- Component Options Menu
  Specifies the options available on the menu after clicking on the title bar of a library component. The following options are enabled when Show Toolbar is selected.
  - Edit Setting
    Edits the component setting in the corresponding edit dialog.
  - Export
    Exports the library component.
  - About
    Displays the component information such as its ID, the author and his/her e-mail address, and the description about the component. By default, this option is unchecked.